Subject: Re: bug#15156: 24.3; !MEM FULL!

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Sep 2013 12:20:55 +0300

> From: "Sebastien Vauban" <[email-masked]>
> Cc: Sebastien Vauban <[email-masked]>,  [email-masked]
> Date: Fri, 06 Sep 2013 10:55:55 +0200
> 
> > All I see in the screencast is that the memory footprint grows, then
> > shrinks back.  Assuming you have something going on in Emacs that can
> > explain several hundreds of MBs of memory consumption, that's actually
> > normal: Emacs uses up memory when it needs it, then releases it when
> > it no longer does.  So maybe there's no problem here at all.
> 
> You take the precaution of "assuming I have something explaining several
> hundreds of MBs of memory consumption", and that's where the problem lies: I
> don't have anything that could explain that.

You are using helm, aren't you?  That can explain anything at all, as
it runs subprocesses on every keystroke, AFAIR.

Anyway, putting a break at xmalloc conditioned by some large
allocation size might show who is requesting this much memory.  I
don't see how this can be investigated otherwise without some
debugging.

> What's weird as well is that the memory shrinks back to a lower level -- even
> if still quite important. No apparent reason for that.

GC is normally the reason: Emacs relinquishes memory it doesn't need
anymore.

> And, anyway, I still can't use Emacs as you saw: I'm forced to kill
> Emacs from the Task Manager.

Why can't you exit Emacs "normally"?  Memory full condition does not
prevent that.  What happens if you try exiting?